@import "../../config/index.sass"
    
.users-tab
    display: flex
    justify-content: space-between
    margin-top: 50px
    @media all and (max-width: 1320px)
        flex-direction: column
    h2
        color: $font-online-name	
        font-size: 20px	
        letter-spacing: 0.38px
        line-height: 31px
        text-align: center
        margin-bottom: 15px
        span
            color: $text-light-grey
            font-size: 15px
            line-height: 19px
    &>div
        width: 48%
        @media all and (max-width: 1320px)
            width: 100%
        &.users-table
            @media all and (max-width: 1320px)
                margin-top: 30px
        &>div
            border-radius: 3px
            box-shadow: 0 1px 2px 0 $box-shadow
            .plan-item
                display: flex
                align-items: flex-start
                padding: 30px 0 15px 30px
                background: #fff
                border-bottom: 1px solid $gray-border
                cursor: pointer
                position: relative
                &.active
                    background-color: $active-plan-background
                    input  + label:before
                        border: 2px solid $header-blue
                    input  + label:after
                        content: ''
                        width: 9px
                        height: 9px
                        position: absolute
                        left: 5px
                        top: 12px
                        border-radius: 50%
                        background-color: $header-blue
                &.default
                    background-color: 
                    .plan-name, .price
                        color: $plan-color
                    input  + label:before
                        border: 2px solid $plan-color
                    input  + label:after
                        content: ''
                        width: 9px
                        height: 9px
                        position: absolute
                        left: 5px
                        top: 12px
                        border-radius: 50%
                        background-color: $plan-color
                    &.not-active
                        background-color: #fff
                        input  + label:after
                            display: none
                        input + label:before
                            border: 2px solid $radio-button-not-active
                        .price
                            color: $header-blue
                        .plan-name
                            color: $radio-button
                input 
                    position: absolute
                    z-index: -1
                    opacity: 0
                    margin: 10px 0 0 7px

                input  + label 
                    position: relative
                    padding: 0 0 0 35px
                    cursor: pointer

                input  + label:before 
                    content: ''
                    width: 15px
                    height: 15px
                    position: absolute
                    left: 0
                    top: 7px
                    border-radius: 50%
                    border: 2px solid $radio-button-not-active
                .price
                    color: $header-blue
                    font-size: 20px
                    letter-spacing: 0.38px
                    line-height: 31px
                    width: 20%
                    min-width: 100px
                .plan-name 
                    width: 80%
                    color: $radio-button
                    font-size: 20px
                    letter-spacing: 0.38px
                    line-height: 31px
                    padding-right: 20px
                    position: relative
                    box-sizing: border-box
                    &>span 
                        display: block
                        font-size: 12px
                        line-height: 19px
                        margin-left: 35px
                    input 
                        margin-left: 0
                        margin-right: 15px
                    .checkmark
                        position: absolute
                        top: 0
                        left: 0
                        height: 25px
                        width: 25px
                        background-color: #eee
        &.users-table
            &>div
                box-shadow: none
                .users-top
                    height: 60px
                    box-shadow: 0 1px 2px 0 $box-shadow
                    background-color: #FFFFFF
                    display: flex
                    align-items: center
                    justify-content: space-between
                    border: 1px solid $payment-table-border
                    &>div
                        padding: 0 20px
                        box-sizing: border-box
                    .search
                        width: 75%
                        position: relative
                        svg
                            position: absolute
                            top: 3px
                            left: 30px
                        input
                            box-sizing: border-box
                            height: 37px
                            width: 175.2px
                            border: 1px solid $plan-color
                            border-radius: 3px
                            font-size: 15px
                            color: #666666
                            padding: 0 10px 0 45px
                            cursor: auto
                            &::-webkit-input-placeholder
                                color: $plan-color
                            &::-moz-placeholder
                                color: $plan-color
                            &:-ms-input-placeholder
                                color: $plan-color
                            &:-moz-placeholder
                                color: $plan-color
                    .select
                        position: relative
                        padding-right: 20px
                        .select-field
                            width: 120px
                            .select-button
                                color: #666
                        img
                            transform: rotate(180deg)
                            top: 3px
                        .select-list
                            box-shadow: none
                            border: 1px solid $select-list
                            border-radius: 8px
                            min-width: auto
                            width: 120px
                            left: 20px
                            top: 45px
                            &>div 
                                color: #666
                                font-size: 15px
                                padding: 12px 20px 12px 15px
            .payment-table
                width: 100%
                color: #666666
                font-size: 15px
                letter-spacing: 0.29px
                border: 1px solid $payment-table-border
                box-sizing: border-box
                .head 
                    background-color: $table-header-color
                    box-shadow: none
                    border: 1.07px solid $payment-table-border
                    height: 50px
                    overflow-x: hidden !important
                    padding: 0 20px
                    .table-wrap 
                        height: 100%
                        width: 100%
                        display: flex
                        align-items: center
                        box-sizing: border-box
                .table-row
                    height: 50px
                    margin: 0
                    .name
                        align-items: center
                        flex-wrap: no-wrap
                        .round-avatar
                                min-width: 30px
                                width: 30px
                                height: 30px
                                box-shadow: 0 2px 6px 0 $avatar-shadow
                                @media all and (max-width: 1380px)
                                    margin-right: 0
                                @media all and (max-width: 1320px)
                                    margin-right: 12px
                    .btn-col 
                        justify-content: flex-end !important
                    .active, .deactivated
                        color: $button-success
                    .deactivated
                        color: $red-input-border
                    button
                        height: 25.83px
                        width: 119px
                        font-size: 13px
                        color: #ffffff
                        text-transform: uppercase
                        cursor: pointer
                        border: none
                        border-radius: 5px
                        &.btn-active 
                            background-color: $button-primary
                        &.btn-deactivated 
                            background-color: $button-default
                        @media all and (max-width: 1380px)
                            width: 100px
                        @media all and (max-width: 1320px)
                            width: 119px
.btn
    color: #FFFFFF
    font-size: 13px
    line-height: 20px
    text-align: center
    height: 48px
    width: 325px
    border-radius: 8px
    background-color: $button-default
    text-transform: uppercase
    cursor: pointer
    margin: 30px auto 0 auto
    display: block
    &.active
        background-color: $button-primary


